require 'test_helper'

class FavoriteTest < ActiveSupport::TestCase
  fixtures :favorites
  
  def test_should_require_user_id
    favorite = Favorite.create(:user_id => nil)
    assert favorite.errors.on(:user_id), "Missing User ID should add an error"
  end
  
  def test_should_require_song_id
    favorite = Favorite.create(:song_id => nil)
    assert favorite.errors.on(:song_id), "Missing Song ID should add an error"
  end
end
